diff --git a/src/test/regress/expected/update.out b/src/test/regress/expected/update.out
index a49980b..c39f87f 100644
--- a/src/test/regress/expected/update.out
+++ b/src/test/regress/expected/update.out
@@ -234,7 +234,7 @@ alter table part_b_10_b_20 attach partition part_c_100_200 for values from (100)
 create table part_c_1_100 (e varchar, d int, c numeric, b bigint, a text);
 alter table part_b_10_b_20 attach partition part_c_1_100 for values from (1) to (100);
 \set init_range_parted 'truncate range_parted; insert into range_parted values (''a'', 1, 1, 1), (''a'', 10, 200, 1), (''b'', 12, 96, 1), (''b'', 13, 97, 2), (''b'', 15, 105, 16), (''b'', 17, 105, 19)'
-\set show_data 'select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4, 5, 6'
+\set show_data 'select tableoid::regclass::text COLLATE "C" partname, * from range_parted order by 1, 2, 3, 4, 5, 6'
 :init_range_parted;
 :show_data;
     partname    | a | b  |  c  | d  | e 
@@ -406,9 +406,9 @@ NOTICE:  trigger = trans_updatetrig, old table = (b,12,96,1,), (b,13,97,2,), (b,
  part_a_10_a_20 | a | 10 | 200 |  1 | 
  part_a_1_a_10  | a |  1 |   1 |  1 | 
  part_c_1_100   | b | 13 |  98 |  2 | 
- part_d_1_15    | b | 12 | 110 |  1 | 
  part_d_15_20   | b | 15 | 106 | 16 | 
  part_d_15_20   | b | 17 | 106 | 19 | 
+ part_d_1_15    | b | 12 | 110 |  1 | 
 (6 rows)
 
 :init_range_parted;
@@ -428,10 +428,10 @@ NOTICE:  trigger = trans_updatetrig, old table = (b,12,96,1,), (b,13,97,2,), (b,
 ----------------+---+----+-----+----+---
  part_a_10_a_20 | a | 10 | 200 |  1 | 
  part_a_1_a_10  | a |  1 |   1 |  1 | 
- part_d_1_15    | b | 12 | 146 |  1 | 
- part_d_1_15    | b | 13 | 147 |  2 | 
  part_d_15_20   | b | 15 | 155 | 16 | 
  part_d_15_20   | b | 17 | 155 | 19 | 
+ part_d_1_15    | b | 12 | 146 |  1 | 
+ part_d_1_15    | b | 13 | 147 |  2 | 
 (6 rows)
 
 drop trigger trans_updatetrig ON range_parted;
@@ -457,9 +457,9 @@ update range_parted set c = (case when c = 96 then 110 else c + 1 end ) where a
  part_a_10_a_20 | a | 10 | 200 |  1 | 
  part_a_1_a_10  | a |  1 |   1 |  1 | 
  part_c_1_100   | b | 15 |  98 |  2 | 
- part_d_1_15    | b | 15 | 110 |  1 | 
  part_d_15_20   | b | 17 | 106 | 16 | 
  part_d_15_20   | b | 19 | 106 | 19 | 
+ part_d_1_15    | b | 15 | 110 |  1 | 
 (6 rows)
 
 :init_range_parted;
@@ -469,10 +469,10 @@ update range_parted set c = c + 50 where a = 'b' and b > 10 and c >= 96;
 ----------------+---+----+-----+----+---
  part_a_10_a_20 | a | 10 | 200 |  1 | 
  part_a_1_a_10  | a |  1 |   1 |  1 | 
- part_d_1_15    | b | 15 | 146 |  1 | 
- part_d_1_15    | b | 16 | 147 |  2 | 
  part_d_15_20   | b | 17 | 155 | 16 | 
  part_d_15_20   | b | 19 | 155 | 19 | 
+ part_d_1_15    | b | 15 | 146 |  1 | 
+ part_d_1_15    | b | 16 | 147 |  2 | 
 (6 rows)
 
 drop trigger trig_c1_100 ON part_c_1_100;
@@ -521,7 +521,7 @@ create trigger d15_insert_trig
 -- Move all rows from part_c_100_200 to part_c_1_100. None of the delete or insert statement triggers should be fired.
 update range_parted set c = c - 50 where c > 97;
 NOTICE:  trigger = parent_update_trig fired on table range_parted during UPDATE
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
     partname    | a | b  |  c  | d  | e 
 ----------------+---+----+-----+----+---
  part_a_10_a_20 | a | 10 | 150 |  1 | 
@@ -567,7 +567,7 @@ update part_def set a = 'd' where a = 'c';
 update part_def set a = 'a' where a = 'd';
 ERROR:  new row for relation "part_def" violates partition constraint
 DETAIL:  Failing row contains (a, 9, null, null, null).
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
     partname    | a | b  |  c  | d  | e 
 ----------------+---+----+-----+----+---
  part_a_10_a_20 | a | 10 | 200 |  1 | 
@@ -587,7 +587,7 @@ DETAIL:  Failing row contains (ad, 10, 200, 1, null).
 -- Success
 update range_parted set a = 'ad' where a = 'a';
 update range_parted set a = 'bd' where a = 'b';
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
  partname | a  | b  |  c  | d  | e 
 ----------+----+----+-----+----+---
  part_def | ad |  1 |   1 |  1 | 
@@ -603,7 +603,7 @@ select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3,
 -- Success
 update range_parted set a = 'a' where a = 'ad';
 update range_parted set a = 'b' where a = 'bd';
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
     partname    | a | b  |  c  | d  | e 
 ----------------+---+----+-----+----+---
  part_a_10_a_20 | a | 10 | 200 |  1 | 
diff --git a/src/test/regress/sql/update.sql b/src/test/regress/sql/update.sql
index 0ec5bb2..b5add01 100644
--- a/src/test/regress/sql/update.sql
+++ b/src/test/regress/sql/update.sql
@@ -151,7 +151,7 @@ create table part_c_1_100 (e varchar, d int, c numeric, b bigint, a text);
 alter table part_b_10_b_20 attach partition part_c_1_100 for values from (1) to (100);
 
 \set init_range_parted 'truncate range_parted; insert into range_parted values (''a'', 1, 1, 1), (''a'', 10, 200, 1), (''b'', 12, 96, 1), (''b'', 13, 97, 2), (''b'', 15, 105, 16), (''b'', 17, 105, 19)'
-\set show_data 'select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4, 5, 6'
+\set show_data 'select tableoid::regclass::text COLLATE "C" partname, * from range_parted order by 1, 2, 3, 4, 5, 6'
 :init_range_parted;
 :show_data;
 
@@ -310,7 +310,7 @@ create trigger d15_insert_trig
 
 -- Move all rows from part_c_100_200 to part_c_1_100. None of the delete or insert statement triggers should be fired.
 update range_parted set c = c - 50 where c > 97;
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
 
 drop trigger parent_delete_trig ON range_parted;
 drop trigger parent_update_trig ON range_parted;
@@ -338,7 +338,7 @@ update part_def set a = 'd' where a = 'c';
 -- fail
 update part_def set a = 'a' where a = 'd';
 
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
 
 -- Update row movement from non-default to default partition.
 -- Fail, default partition is not under part_a_10_a_20;
@@ -346,12 +346,12 @@ update part_a_10_a_20 set a = 'ad' where a = 'a';
 -- Success
 update range_parted set a = 'ad' where a = 'a';
 update range_parted set a = 'bd' where a = 'b';
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
 -- Update row movement from default to non-default partitions.
 -- Success
 update range_parted set a = 'a' where a = 'ad';
 update range_parted set a = 'b' where a = 'bd';
-select tableoid::regclass::text partname, * from range_parted order by 1, 2, 3, 4;
+:show_data;
 
 create table list_parted (
 	a text,
